<div class="row justify-content-between">
    <div class="col">
        <h3 class="display-5">New User</h3>
    </div>
    <div class="col-auto">
        <button type="button" class="btn btn-success" (click)="createUser(userForm.value)"
            [disabled]="!userForm.form.valid">Create</button>&nbsp;
        <button type="button" class="btn btn-secondary" (click)="userForm.reset()">Reset</button>&nbsp;
        <button type="button" class="btn btn-warning" routerLink="/admin/users">Cancel</button>&nbsp;
    </div>
</div>
<hr />

<div class="row">
    <div class="col">
        <form #userForm="ngForm" (ngSubmit)="onSubmit()"
            style="border: 1px solid #e9ecef; padding: 1rem; background: beige;">
            <div class="row align-items-center">
                <div class="col">
                    <label for="login">Login </label>
                    <input type="text" class="form-control" name="login" id="login" placeholder="someone@corpmail.com"
                        [(ngModel)]="email.value" readonly />
                </div>

                <div class="col">
                    <label class="" for="user-id">ID</label>
                    <input type="text" class="form-control" id="user-id" value="AUTO" readonly />
                </div>
                <div class="col-auto">
                    <label class="" for="user-active">Status</label>
                    <div class="custom-control custom-checkbox">
                        <input type="checkbox" class="custom-control-input" name="active" id="active" checked="false"
                            [(ngModel)]="user.active" />
                        <label style="font-weight: normal" class="custom-control-label" for="active">Active</label>
                    </div>
                </div>
            </div>
            <br>
            <div class="row align-items-center">
                <div class="col">
                    <label class="" for="name">First Name</label>
                    <input type="text" class="form-control" id="name" name="name" placeholder="Funsuk" required
                        [(ngModel)]="user.name" />
                </div>
                <div class="col">
                    <label class="" for="last-name">Last Name</label>
                    <input type="text" class="form-control" id="last-name" name="lastName" placeholder="Wangdu" required
                        [(ngModel)]="user.lastName" />
                </div>
                <div class="col">
                    <label class="" for="email">Email</label>
                    <input type="text" class="form-control" id="email" name="email" placeholder="someone@corpmail.com"
                        required #email [(ngModel)]="user.email" />
                </div>
            </div>
            <br />
            <div class="row justify-content-start">
                <div class="col">
                    <label class="" for="user-active">Roles</label>
                    <div class="custom-control custom-checkbox">
                        <input type="checkbox" class="custom-control-input" id="role_admin" name="role_admin"
                            checked='none' ngModel />
                        <label style="font-weight: normal" class="custom-control-label" for="role_admin">ADMIN</label>
                    </div>
                </div>
                <div class="col">
                    <label class="">&nbsp;</label>
                    <div class="custom-control custom-checkbox">
                        <input type="checkbox" class="custom-control-input" id="role_user" name="role_user"
                            checked="false" ngModel />
                        <label style="font-weight: normal" class="custom-control-label" for="role_user">USER</label>
                    </div>
                </div>
                <div class="col">
                    <label class="">&nbsp;</label>
                    <div class="custom-control custom-checkbox">
                        <input type="checkbox" class="custom-control-input" id="role_operator" name="role_operator"
                            checked="false" ngModel />
                        <label style="font-weight: normal" class="custom-control-label"
                            for="role_operator">OPERATOR</label>
                    </div>
                </div>
            </div>
            Testing: {{user.name}}
        </form>
    </div>
</div>

<app-infomodal [message]="modalMessage" [isSuccess]="isSuccess"></app-infomodal>